package se.chalmers.tdv.ddmin;
import java.io.IOException;
import java.util.LinkedList;
import java.util.List;
import java.util.logging.*;


public class Dubbel extends DD<Integer> {

    final static Logger logger = Logger.getLogger(Dubbel.class .getName());

    public int test(List<Integer> config) {

	Integer last = Integer.valueOf(-1);
	int pos = 0;
	while (pos < config.size()) {
	    if (((Integer)config.get(pos)).equals(last)) {
		return FAIL;
	    }
	    last = (Integer)config.get(pos);
	    pos++;
	}
	return PASS;
    }

    public static final void main(final String[] args) {
    	try {
		FileHandler h = new FileHandler("Dubble.log");
		
		logger.addHandler(h);
		h.setFormatter(new SimpleFormatter());
    	logger.setLevel(Level.INFO);		
    	logger.info("Start of main()");

    	Dubbel t = new Dubbel();

    	int[] s = {1,3,5,3,9,17,44,3,6,1,1,0,44,1,44,0};
    	LinkedList<Integer> l = new LinkedList<Integer>();
    	for (int i = 0; i < s.length; i++) {
    		logger.info("Now adding " + s[i]);
    		l.add(Integer.valueOf(s[i]));
    	}

    	System.out.println(l);
    	System.out.println("==> " + t.ddmin(l, true));
    	}
    	catch (IOException e) {
    		// TODO Auto-generated catch block
		e.printStackTrace();
    	}	
    }
}